    Fit a model to one or more background PHA data sets.

fit_bkg(id=None, *otherids, **kwargs)
id - int or str, optional
*otherids - sequence of int or str, optional
outfile - str, optional
clobber - bool, optional

Fit only the backgound components of PHA data sets. This can be used to find the best-fit background parameters, which can then be frozen before fitting the data, or to ensure that these parameters are well defined before performing a simultaneous source and background fit.

Simultaneously fit all background data sets with models and then store the results in the variable fres:

>>> fit_bkg() >>> fres = get_fit_results()

Fit the background for data sets 1 and 2, then do a simultaneous fit to the source and background data sets:

>>> fit_bkg(1, 2) >>> fit(1, 2)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set that provides the background data. If not given then all data sets with an associated background model are fit simultaneously.
*otherids
Other data sets to use in the calculation.
outfile
If set, then the fit results will be written to a file with this name. The file contains the per-iteration fit results.
clobber
This flag controls whether an existing file can be overwritten ( True ) or if it raises an exception ( False , the default setting).

Notes

This is only for PHA data sets where the background is being modelled, rather than subtracted from the data.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023